Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
payees
List Payees
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/payees \
  --header 'Authorization: <api-key>'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/payees"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/payees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "companyId": "660e8400-e29b-41d4-a716-446655440000",
      "name": "Smith & Associates Law Firm",
      "payeeType": "lawFirm",
      "email": "contact@smithlaw.com",
      "alternateEmails": [
        "billing@smithlaw.com"
      ],
      "phoneNumber": "+1-555-123-4567",
      "description": "Defense law firm specializing in insurance litigation",
      "address": "123 Legal Plaza, Suite 500, New York, NY 10001",
      "addressStructured": {
        "streetNumber": "123",
        "streetName": "Legal Plaza",
        "city": "New York",
        "state": {
          "short": "NY",
          "long": "New York"
        },
        "postalCode": "10001",
        "country": "US"
      },
      "lawFirmType": "defense",
      "bankInfo": {
        "bankAccountNumber": "****1234",
        "bankRoutingNumber": "****5678"
      },
      "taxIdNumber": "12-3456789",
      "externalPayee": null,
      "createdAt": "2025-01-15T10:30:00.000Z",
      "createdBy": "880e8400-e29b-41d4-a716-446655440000",
      "updatedAt": "2025-01-16T14:20:00.000Z",
      "updatedBy": "880e8400-e29b-41d4-a716-446655440000"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "companyId": "660e8400-e29b-41d4-a716-446655440000",
      "name": "Expert Forensics Inc",
      "payeeType": "expert",
      "email": "info@expertforensics.com",
      "alternateEmails": null,
      "phoneNumber": "+1-555-987-6543",
      "description": "Forensic accounting experts",
      "address": null,
      "addressStructured": null,
      "lawFirmType": null,
      "bankInfo": null,
      "taxIdNumber": null,
      "externalPayee": null,
      "createdAt": "2025-01-10T08:00:00.000Z",
      "createdBy": "880e8400-e29b-41d4-a716-446655440000",
      "updatedAt": null,
      "updatedBy": null
    }
  ],
  "totalCount": 42
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Query Parameters

id

Filter by specific payee ID(s)

payeeType
enum<string>

Filter by payee type Type of payee

Available options:
lawFirm,
expert,
vendor,
other,
financingCompany
filterText
string

Search across quote number, description, and other text fields

sortBy
enum<string>
default:createdAt

Field to sort by (default createdAt)

Available options:
createdAt,
updatedAt,
name,
email,
payeeType
sortDirection
enum<string>
default:desc

Sort direction (default desc)

Available options:
asc,
desc
page
integer
default:1

Page number (1-based, default 1, page size 50)

Required range: x >= 1

Response

Paginated list of payees

items
object[]
totalCount
integer

Total number of matching payees across all pages